This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 14637 - Is itemtype="" valid?
Summary: Is itemtype="" valid?
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-31 20:55 UTC by contributor
Modified: 2012-07-18 18:48 UTC (History)
4 users (show)

See Also:


Attachments

Description contributor 2011-10-31 20:55:07 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/microdata.html
Multipage: http://www.whatwg.org/C#attr-itemtype
Complete: http://www.whatwg.org/c#attr-itemtype

Comment:
Is itemtype="" valid?

Posted from: 81.234.240.242
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.9.220 Version/12.00
Comment 1 Philip J├Ągenstedt 2011-10-31 20:55:43 UTC
Presumably no, because it makes no sense. Missing "The attribute's value must have at least one token." just like itemprop says.
Comment 2 Ian 'Hixie' Hickson 2011-11-01 03:16:29 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2011-11-01 03:17:30 UTC
Checked in as WHATWG revision r6793.
Check-in comment: itemtype can't be empty
http://html5.org/tools/web-apps-tracker?from=6792&to=6793
Comment 4 Vineet Chaudhary 2011-11-01 09:35:56 UTC
(In reply to comment #3)
> Checked in as WHATWG revision r6793.
> Check-in comment: itemtype can't be empty
> http://html5.org/tools/web-apps-tracker?from=6792&to=6793

Just to get it correctly, If itemtype defied but doesn't have any token,
should it throw any error/exception?

I mean what would be behavior if

var element = document.createElement(type);
element.setAttribute('itemtype', '');
Comment 5 Philip J├Ągenstedt 2011-11-01 13:47:26 UTC
(In reply to comment #4)
> Just to get it correctly, If itemtype defied but doesn't have any token,
> should it throw any error/exception?
> 
> I mean what would be behavior if
> 
> var element = document.createElement(type);
> element.setAttribute('itemtype', '');

That does not throw an exception, the validity is really only for validators, see http://bugzilla.validator.nu/show_bug.cgi?id=872